Apache Problem

Dieses Thema im Forum "Webserver (Software): Linux, Unix, etc." wurde erstellt von interitservice, 3. September 2010.

Status des Themas:
Es sind keine weiteren Antworten möglich.
  1. interitservice

    interitservice Eingetragener Provider

    Registriert seit:
    19. Februar 2010
    Beiträge:
    123
    Firmenname:
    InterITService
    Anbieterprofil:
    Klick
    Moin,

    ihc verzweifel seid tagen an diesem Problem:

    /$ /etc/init.d/apache2 start
    * Starting web server apache2
    apache2: Syntax error on line 203 of /etc/apache2/apache2.conf: Syntax error on line 1 of /etc/apache2/mods-enabled/php5.load: Cannot load /usr/lib/apache2/modules/libphp5.so into server: /usr/lib/apache2/modules/libphp5.so: symbol xmlTextReaderSchemaValidate, version LIBXML2_2.6.20 not defined in file libxml2.so.2 with link time reference
    ...fail!


    hat jemand eine Idee, was das sein könnte?
     
  2. DjGL

    DjGL Eingetragener Provider

    Registriert seit:
    28. November 2005
    Beiträge:
    1.085
    Ort:
    Wien
    Firmenname:
    Light-Gap.net
    Anbieterprofil:
    Klick
    AW: Apache Problem

    Liegt die libphp5.so überhaupt unter /usr/lib/apache2/modules/?
    Und wie sieht Zeile 203 von /etc/apache2/apache2.conf aus?
     
  3. interitservice

    interitservice Eingetragener Provider

    Registriert seit:
    19. Februar 2010
    Beiträge:
    123
    Firmenname:
    InterITService
    Anbieterprofil:
    Klick
    AW: Apache Problem

    Die Datei existiert und in der apache2.conf in Zeile 203 steht das

    Include /etc/apache2/mods-enabled/*.load

    soweit war ich auch schon
     
  4. DjGL

    DjGL Eingetragener Provider

    Registriert seit:
    28. November 2005
    Beiträge:
    1.085
    Ort:
    Wien
    Firmenname:
    Light-Gap.net
    Anbieterprofil:
    Klick
    AW: Apache Problem

    Sind am Server eventuell mehrere verschiedene libxml2 Versionen installiert?
     
  5. interitservice

    interitservice Eingetragener Provider

    Registriert seit:
    19. Februar 2010
    Beiträge:
    123
    Firmenname:
    InterITService
    Anbieterprofil:
    Klick
    AW: Apache Problem

    Es ist nur eine Version installiert
     
  6. jpfote

    jpfote Erfahrener Benutzer

    Registriert seit:
    25. Juni 2005
    Beiträge:
    967
    AW: Apache Problem

    Hast Du das PHP5-Paket auf diesem Server oder woanders kompilliert? Evtl. Fehlt die libxml2-dev oder es wurde mit einer anderen libxl-Version kompilliert als jetzt auf diesem Server verwendet wird.

    Grüße Jens
     
  7. interitservice

    interitservice Eingetragener Provider

    Registriert seit:
    19. Februar 2010
    Beiträge:
    123
    Firmenname:
    InterITService
    Anbieterprofil:
    Klick
    AW: Apache Problem

    ein apt-get upgrade wurde ausgeführt..

    Hilft evtl. eine neue libxml drüber zu installieren??
     
  8. DjGL

    DjGL Eingetragener Provider

    Registriert seit:
    28. November 2005
    Beiträge:
    1.085
    Ort:
    Wien
    Firmenname:
    Light-Gap.net
    Anbieterprofil:
    Klick
    AW: Apache Problem

    Einen Versuch wäre es wert, wobei die alte Version auf jedenfall vorher entfernt werden sollte.
    Und vor der neuen Installation prüfen ob noch irgendwelche libxml2.so.* irgendwo herumschwirren.
     
  9. jpfote

    jpfote Erfahrener Benutzer

    Registriert seit:
    25. Juni 2005
    Beiträge:
    967
    AW: Apache Problem

    Erstell doch einfach mal ein neues PHP-Paket, den configure-string solltest Du ja noch haben.

    Grüße Jens
     
  10. freelancer

    freelancer Erfahrener Benutzer

    Registriert seit:
    8. März 2002
    Beiträge:
    1.066
    AW: Apache Problem

    was sagt denn ein
    ldd /usr/lib/apache2/modules/libphp5.so
    ??
     
Status des Themas:
Es sind keine weiteren Antworten möglich.

Diese Seite empfehlen